#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf sqlite-autoconf-3070900.tar.gz
    cd sqlite-autoconf-3070900
    ./configure --prefix=/usr --disable-readline --disable-static
    make
    strip -R .note -R .comment .libs/libsqlite3.so.0
    mkdir -p ../libsqlite3-0/lib
    cp .libs/libsqlite3.so.0 ../libsqlite3-0/lib/
    cd ..
    rm -rf sqlite-autoconf-3070900
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
